Submit Content Agreement
Returns the agreement of the currently authenticated user for the given agreementCode, contentId, and version.
Authorization
authCookie Auth Token via Cookie
In: cookie
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/agreement" \ -H "Content-Type: application/json" \ -d '{ "agreementCode": "content.copyright.owned", "agreementFulltext": "By clicking OK, I certify that I have the necessary rights to upload this content and that it will not infringe on any third-party legal or intellectual property rights.", "contentId": "avtr_c38a1615-5bf5-42b4-84eb-a8b6c37cbd11", "version": 1 }'{
"agreementCode": "content.copyright.owned",
"agreementFulltext": "By clicking OK, I certify that I have the necessary rights to upload this content and that it will not infringe on any third-party legal or intellectual property rights.",
"contentId": "avtr_c38a1615-5bf5-42b4-84eb-a8b6c37cbd11",
"created": "string",
"id": "string",
"tags": [
"string"
],
"userId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"version": 1
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}Start FileData Upload PUT
Starts an upload of a specific FilePart. This endpoint will return an AWS URL which you can PUT data to. You need to call this and receive a new AWS API URL for each `partNumber`. Please see AWS's REST documentation on "PUT Object to S3" on how to upload. Once all parts has been uploaded, proceed to `/finish` endpoint. **Note:** `nextPartNumber` seems like it is always ignored. Despite it returning 0, first partNumber is always 1.
Update Asset Review Notes PUT
Update notes regarding an asset review.